Subject: Re: [bug#72082] [PATCH v2] gnu: gpxsee: Update to 13.22.
From: Ludovic Courtès <[email-masked]>
To: Morgan Smith <[email-masked]>
Cc: [email-masked]
Date: Sat, 20 Jul 2024 12:11:42 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Morgan Smith <[email-masked]> skribis:

> * gnu/packages/gps.scm (gpxsee): Update to 13.22.
> Use qt-build-system.  Use qt6 instead of qt5.
>
> Change-Id: I9101a6f763be198549aca8e5aea95987b14e58e4
> ---
> Ludovic Courtès <[email-masked]> writes:
>
>>
>> In general we avoid disabling tests.  Could you investigate a bit as to
>> why tests are failing?  Then the usual approach is to tweak or skip
>> individual tests, and only as a last resort use #:tests? #f.  In either
>> case, there should be a comment explaining why we’re doing this.
>>
>> Thanks,
>> Ludo’.
>
> I added a comment explaining that there are no tests.  I greped the source code
> for "test" and "check" and found nothing of interest.  The project does have
> some continuous integration stuff but all it does is build.  It does not run
> tests.

OK, that makes sense to me.

I applied it (it did not apply cleanly but with a bit of help it was
fine).

Thanks!

Ludo’.